Security Enhanced Linux Reference Policy

# Layer: admin

## Module: prelink

Interfaces

### Description:

Prelink ELF shared library mappings.

### Interfaces:

prelink_delete_cache( file_type )

##### Summary

Delete the prelink cache.

##### Parameters

Parameter: | Description:
--- | ---
file_type | Domain allowed access.

prelink_domtrans( domain )

##### Summary

Execute the prelink program in the prelink domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

prelink_manage_lib( file_type )

##### Summary

Create, read, write, and delete prelink var_lib files.

##### Parameters

Parameter: | Description:
--- | ---
file_type | Domain allowed access.

prelink_manage_log( file_type )

##### Summary

Create, read, write, and delete prelink log files.

##### Parameters

Parameter: | Description:
--- | ---
file_type | Domain allowed access.

prelink_object_file( file_type )

##### Summary

Make the specified file type prelinkable.

##### Parameters

Parameter: | Description:
--- | ---
file_type | File type to be prelinked.

prelink_read_cache( file_type )

##### Summary

Read the prelink cache.

##### Parameters

Parameter: | Description:
--- | ---
file_type | Domain allowed access.

prelink_relabelfrom_lib( domain )

##### Summary

Relabel from files in the /boot directory.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

prelink_run( domain , role )

##### Summary

Execute the prelink program in the prelink domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | The role to allow the prelink domain.

Return